%global momorel 3
%global __libtoolize :

Summary: A high-level language for numerical computations.
Name: octave
Version: 2.1.57
Release: %{momorel}m
License: GPL
Group: Applications/Engineering
Source: ftp://ftp.octave.org/pub/octave/bleeding-edge/octave-%{version}.tar.bz2
#NoSource: 0
Patch0: octave-2.1.50-help.patch
URL: http://www.che.wisc.edu/octave/
Requires: gnuplot pager autoconf
Prereq: info
BuildPreReq: readline-devel >= 4.2
BuildPreReq: gnuplot bison flex pager tetex gcc-c++ gcc-g77 gperf lapack blas
BuildPreReq: ncurses-devel zlib-devel libtermcap-devel libstdc++-devel
BuildPreReq: readline-devel automake
BuildPreReq: autoconf >= 2.56-3m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language. Octave
has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%prep
#'
%setup -q
%patch0 -p1
./autogen.sh

%ifarch s390
(cd readline && libtoolize --copy --force)
(cd glob && libtoolize --copy --force)
(cd kpathsea && libtoolize --copy --force)
%endif

%build
LC_ALL=POSIX
export LC_ALL

CFLAGS=-fPIC ./configure --enable-dl --enable-shared=yes --enable-rpath --enable-lite-kernel --enable-picky-flags --enable-static=no --with-g77 --prefix=%{_prefix} --infodir=%{_infodir}

%make

#empty
%__rm -f interpreter/octave.{ky,pg,tp}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%makeinstall
%__rm -f doc/interpreter/munge-texi doc/interpreter/*.o %{buildroot}%{_infodir}/dir
%__strip %{buildroot}%{_libexecdir}/%{name}/%{version}/oct/*/*

#
# Make library links in /usr/lib
# XXX Not really clean.
#
if [ -d %{buildroot}/usr/lib64/octave-%{version} ]; then
	pushd %{buildroot}/usr/lib64
elif [ -d %{buildroot}/usr/lib/octave-%{version} ]; then
	pushd %{buildroot}/usr/lib
fi

ln -s octave-%{version}/libcruft.so.%{version} libcruft.so
ln -s octave-%{version}/liboctave.so.%{version} liboctave.so
ln -s octave-%{version}/liboctinterp.so.%{version} liboctinterp.so
popd

perl -pi -e "s,%{buildroot},," %{buildroot}/%{_libexecdir}/%{name}/ls-R
perl -pi -e "s,%{buildroot},," %{buildroot}/%{_datadir}/%{name}/ls-R


# XXX Nuke unpackaged files
rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/octave.info %{_infodir}/dir

%preun
if [ "$1" = "0" ]; then
    /sbin/install-info --delete %{_infodir}/octave.info %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING NEWS* PROJECTS README* ROADMAP SENDING-PATCHES
%doc THANKS
%doc doc/faq doc/interpreter doc/liboctave doc/refcard emacs examples
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/octave*
%{_includedir}/octave*
%{_datadir}/octave
%{_libexecdir}/octave
%{_mandir}/*/*
%{_infodir}/octave.info*

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.1.57-3m)
- remove Epoch

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.57-2m)
- no nosource0

* Wed Jun 09 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.57-1m)
- update to 2.1.57
- sync with FC2 package

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.36-7m)
- revised spec for rpm 4.2.

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.36-6m)
- rebuild against rpm-4.0.4-52m

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.36-5m)
- change URI of acx_{blas,lapack}.m4 (Source1,2) to
  http://ac-archive.sourceforge.net/Installed_Packages/acx_{blas,lapack}.m4
  reported by Imuta Takeshi <imuchin777--at--m3.dion.ne.jp>([Momonga-devel.ja:01372]), thakns!

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.36-4m)
- use autoconf-2.53

* Tue Dec 03 2002 Kenta MURATA <muraken@momonga-linux.org>
- (2.1.36-3m)
- BuildPreReq: readline-devel >= 4.2

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.1.36-2m)
- require pager instead of less.

* Tue Oct  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
-(2.1.36-1m)
- update to 2.1.36
- sync with redhat
  add octave-2.1.36-gcc31.patch
  add -fno-use-cxa-atexit to CXXFLAGS
  get rid of 0 size doc files
- stop 'strip'

* Wed Jun 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add more dependencies in BuildPrereq (#45184)

* Fri Jun 08 2001 Trond Eivind Glomsr?<teg@redhat.com>
- No longer exclude ia64

* Mon Apr 23 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.34

* Tue Mar 27 2001 Trond Eivind Glomsr?<teg@redhat.com>
- set LC_ALL to POSIX before building, otherwise the generated paths.h is bad

* Wed Jan 10 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.33

* Mon Jan 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require compat-egcs-c++, but gcc-c++
- add some libtoolize calls to add newest versions

* Fri Dec 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.32, no longer use CVS as our needed fixes are in now
- add Prereq for info

* Thu Dec 07 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use a development version, as they have now been fixed
  to compile with the our current toolchain.

* Thu Aug 24 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.0.16, with compat C++ compiler and new C and f77 compilers
  The C++ code is too broken for our new toolchain (C++ reserved
  words used as enums and function names, arcane macros), but
  plotting works here and not in the beta (#16759)
- add epoch to upgrade the betas

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- make sure #line commands are not output within macro arguments

* Wed Jul 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.31

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- no longer disable optimizations, sparc excepted

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- added missing %% before {_infodir} in the %%post 

* Sat Jun 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.30 - the old version contains invalid C++ code
  accepted by older compilers.

* Sat Jun 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- disable optimization for C++ code

* Fri Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- add "Excludearch: " for Alpha - it triggers compiler bugs

* Fri Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%configure, %%makeinstall, %{_infodir}. %{_mandir}
- remove prefix

* Tue May 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- upgraded to 2.0.16
- removed "--enable-g77" from the configure flags - let autoconf find it

* Thu Jan 20 2000 Tim Powers <timp@redhat.com>
- bzipped source to conserve space.

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.0.15.

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- rebuit for 6.1

* Wed Apr 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.14.

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
